using System;
using System.Collections.Generic;
using System.Text;

namespace Siger.Middlelayer.Repository.Data
{
    public class SparepartTypeTree
    {
        public SparepartTypeTree()
        {
            if (children == null)
            {
                children = new List<SparepartTypeTree>();
            }
        }
        public int id { get; set; }
        public int value { get; set; }

        public int pid { get; set; }

        public string name { get; set; }
        public string label { get; set; }
        public string title { get; set; }

        public List<SparepartTypeTree> children { get; set; }

        public void AddChilrden(SparepartTypeTree node)
        {
            children.Add(node);
        }
    }
}
